# -----------------------------------------------------------
# S2 Labs branding
# -----------------------------------------------------------
#!/bin/sh
echo "Adding S2 Labs branding..."
OUTFILE=/home/admin/.profile
(
sudo cat <<'EOF'
# ~/.profile: executed by Bourne-compatible login shells.

if [ -f ~/.bashrc ]; then
  . ~/.bashrc
fi

# path set by /etc/profile
# export PATH

# Might fail after "su - myuser" when /dev/tty* is not writable by "myuser".
mesg n 2>/dev/null

# if running bash
if [ -n "$BASH_VERSION" ]; then
    # include .bashrc if it exists
    if [ -f "$HOME/.bashrc" ]; then
        . "$HOME/.bashrc"
    fi
fi

red=$'\e[1;31m'
green=$'\e[1;32m'
blue=$'\e[1;34m'
yellow=$'\e[1;33m'
purple=$'\e[1;35m'
lightblue=$'\e[1;36m'
lightblueU=$'\e[4;36m'
brown=$'\e[1;33m'
reset=$'\e[0m'


echo "$lightblue"
echo "-----------------------------------------------------------------------------------------------"
echo '|                      ░██████╗██████╗░██╗░░░░░░█████╗░██████╗░░██████╗                       |'
echo '|                      ██╔════╝╚════██╗██║░░░░░██╔══██╗██╔══██╗██╔════╝                       |'
echo '|                      ╚█████╗░░░███╔═╝██║░░░░░███████║██████╦╝╚█████╗░                       |'
echo '|                      ░╚═══██╗██╔══╝░░██║░░░░░██╔══██║██╔══██╗░╚═══██╗                       |'
echo '|                      ██████╔╝███████╗███████╗██║░░██║██████╦╝██████╔╝                       |'
echo '|                      ╚═════╝░╚══════╝╚══════╝╚═╝░░╚═╝╚═════╝░╚═════╝░                       |'
echo "-----------------------------------------------------------------------------------------------"
echo '    RIO Model : '`fw_printenv -n DeviceDesc`
echo '   RIO Serial : '`fw_printenv -n serial#`
echo "     Hostname : ${HOSTNAME}"
echo ' eth0 Network : '`ifconfig eth0 | grep "inet addr" |  awk '{print $2}'`
echo '                '`ifconfig eth0 | grep "inet addr" |  awk '{print $3}'`
echo '                '`ifconfig eth0 | grep "inet addr" |  awk '{print $4}'`
echo '                MAC:'`ifconfig eth0 | grep "HWaddr" | awk '{print $5}'`

zerotier-cli 2> /dev/null
if [ "$?" = "0" ]
then
	echo '    ZT Status : '`zerotier-cli status`
	echo -e "  ZT Networks : ${lightblueU}Name\t\tNetworkID\t\tAuth\t\tIP${reset}${lightblue}"
	echo -e "`zerotier-cli listnetworks | sed '1d' | awk -F'[ ]' '{print "                " $4 "\t" $3"\t" $6 "\t" $9}'`"
	#echo 'Ver:'`cat /home/pi/natinst/bin/version.txt`
else
	echo "    ZT Status : Not Installed or Unavailable"
fi

echo "$lightblue-----------------------------------------------------------------------------------------------"
#cat /home/pi/currentgps.txt
echo "$lightblue-----------------------------------------------------------------------------------------------"

let upSeconds="$(/usr/bin/cut -d. -f1 /proc/uptime)"
let secs=$((${upSeconds}%60))
let mins=$((${upSeconds}/60%60))
let hours=$((${upSeconds}/3600%24))
let days=$((${upSeconds}/86400))
UPTIME=`printf "%d days, %02dh%02dm%02ds" "$days" "$hours" "$mins" "$secs"`
# get the load averages
read one five fifteen rest < /proc/loadavg
echo "$red
`date +"%A, %e %B %Y, %r"`
 Uptime.............: ${UPTIME}
 Memory.............: `cat /proc/meminfo | grep MemFree | awk {'print $2'}`kB (Free) / `cat /proc/meminfo | grep MemTotal | awk {'print $2'}`kB (Total)
 Load Averages......: ${one}, ${five}, ${fifteen} (1, 5, 15 min)
$reset"
alias ls='ls --color=auto'

EOF
) > $OUTFILE
